::root {
	--gallery-left-space: calc( 100% / 12 * 5.5 );
}

.home {
	
}
.home :where( .menu-toggle, .site-topbar, .primary-navigation, .site-header-cart ){
	display: none !important;
}
.home .site-header .site-branding {
    margin:  auto;
}
.home .site-header .site-branding-logo {
	width: 120px;
	padding-bottom: 0rem;
}
@media( max-width: 1200px ){
	.home .site-header .site-branding-logo {
		width: 100px;
	}
}
@media( max-width: 768px ){
		
	.home .site-header .site-branding {
		text-align: center;
	}
	.home .site-header .site-branding-logo {
		padding: 0rem;
	}
}

.home section {
	
}

.home .site-main > .bg-image {
	opacity: 0.9;
	z-index: -2;
}
@media( max-width: 768px ){
	.home section {
		
	}
}

/*********************************
	About us
*********************************/

.section-about {
	padding: var( --side-space );
	padding-bottom: 0rem;
	position: relative;
}
.section-about .wrapper {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: var( --side-space );
}
.section-about .caption {
	text-align: center;
	margin: var( --side-space-x ) 0; 
	padding: 0 0 var( --side-space ) 0; 
}
.section-about .wrapper .caption-title {
    
}
.section-about .wrapper .caption p {
   max-width: 560px;
   margin-left: auto;
   margin-right: auto;
   font-size: 1.125rem;
   font-weight: 400;
}
.section-about .media {
	width: 100%;
	width: calc( 100% + var( --side-space-x ));
	position: relative;
	left: calc( 0px - var( --side-space ));
}
.section-about .media .ratio {
	
}
.section-about .media .ratio img {
	
}

@media( max-width: 992px ){
	
}
@media( max-width: 768px ){
	
}
@media( max-width: 576px ){
	.section-about .media .ratio {
		--bs-aspect-ratio: calc( 9 / 16 * 100% );
	}
}

/*********************************
	Benefits
*********************************/

.section-benefits {
	padding: var( --side-space-x ) var( --side-space );
	
	overflow: hidden;
}
.section-benefits .wrapper {
	max-width: var( --compact-width );
}
.section-benefits .items {
	display: flex;
    justify-content: space-between;
	flex-wrap: wrap;
	gap: 1rem;
	padding-right: var( --side-space );
}
.section-benefits .item {
	width: 50%;
	width: calc( 50% - 1rem );
	padding: 1rem;
}
.section-benefits .item .title {
    font-size: 1.375rem;
	margin-bottom: 0.75rem;
}
.section-benefits .item p {
	font-size: 1.125rem;
	font-weight: 400;
	max-width: 460px;
}
.section-benefits .media {
	position: absolute;
	top: 50%;
	right: 0px;
	transform: translate( 42%, -50% );
	
	width: 360px;
	z-index: -1;
}

@media( max-width: 1400px ){
	.section-benefits .media {
		transform: translate( 50%, -50% );
	}
}
@media( max-width: 1100px ){
	.section-benefits {
		padding: var( --side-space );
		padding-top: var( --side-space-x );
	}

	.section-benefits .items { 
		padding: 0rem;
	}
	.section-benefits .media {
		display: none;
	}
}
@media( max-width: 768px ){
	.section-benefits {
		padding: var( --side-space );
		padding-top: var( --side-space-q );
	}
	.section-benefits .items {
		gap: var( --side-space-h );
	}
	.section-benefits .item {
		width: 100%;
		padding: 0rem;
	}
	.section-benefits .item p {
		max-width: unset;
	}
}


/*********************************
	How to order
*********************************/

.section-how_to_order {
	padding: var( --side-space-x ) var( --side-space );
}
.section-how_to_order .wrapper {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	--media-width: 120px;
}
.section-how_to_order .media {
	width: var( --media-width );
}
.section-how_to_order .media img {
	filter: invert( 1 );
}
.section-how_to_order .caption {
	width: calc( 100% - ( var( --media-width ) * 2 ) );
	display: flex;
    flex-wrap: wrap;
    align-items: center;
}
.section-how_to_order .caption-title {
    margin-top: auto;
	margin-bottom: 1rem;
}
.section-how_to_order .caption .items {
	display: flex;
	flex-wrap: wrap;
	gap: 1.5rem;
}
.section-how_to_order .caption .item {
	position: relative;
	width: calc( 50% - 1rem );
	padding-left: 4rem;
	counter-increment: section; 
}
.section-how_to_order .caption .item:before {
	content: "";
	position: absolute;
	top: 0px;
	left: 0px;
	font-size: 1rem;
	font-weight: 500;
	
    line-height: 1;
	background: #000080;
	color: #fff;
	border-radius: 50%;
	width: 2.5rem;
	height: 2.5rem;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	
	content: counter(section) 
}
.section-how_to_order .caption .item .title {
	display: block;
	font-size: 1.375rem;
	font-weight: 600;
	margin-bottom: 0.75rem;
	
}
.section-how_to_order .caption .item p {
	font-size: 1.125rem;
	max-width: 460px;
}

@media( max-width: 1100px ){
	.section-how_to_order {
		padding: var( --side-space );
	}
	.section-how_to_order .wrapper {
		--media-width: 80px;
	}
	.section-how_to_order .media,
	.section-how_to_order .caption {
		width: 100%;	
	}
	.section-how_to_order .media {
		text-align: center;
        height: 140px;
        position: relative;
		margin-bottom: var( --side-space );
		
	}
	.section-how_to_order .media img {
		transform: rotate(-90deg);
		width: 70px;
		height: auto;
        position: absolute;
        top: 50%;
        left: 50%;
        translate: -50% -50%;
	}
	.section-how_to_order .caption-title {
		margin-bottom: 2rem;
	}
	.section-how_to_order .caption .items {
		gap: 1rem;
		justify-content: space-between; 
	}
	.section-how_to_order .caption .item { 
		padding-left: 3rem;
	}
	.section-how_to_order .caption .item .title {
		font-size: 1.125rem;
		margin-bottom: 0.5rem;
	}
	.section-how_to_order .caption .item p {
		font-size: 1rem;
	}
	.section-how_to_order .caption .item:before {
		font-size: var( --font-size-7 );
		width: 2rem;
		height: 2rem;
	}
}
@media( max-width: 992px ){
	
}
@media( max-width: 768px ){
	
	.section-how_to_order {
		
	}
	.section-how_to_order .media {
		 
	}
	.section-how_to_order .media img {
		width: var( --side-space-q ); 
	}
	.section-how_to_order .caption {
		
	}
	.section-how_to_order .caption .item {
		width: 100%;
		padding-left: 3rem;
	}
}


/*********************************
	Ramen Masami
*********************************/

.section-ramen_masami {
	padding: var( --side-space-x ) var( --side-space );
	
}
.section-ramen_masami .wrapper {
	
}
.section-ramen_masami .row {
	--bs-gutter-x: var( --side-space-x );
}
.section-ramen_masami .column-caption {
	text-align: right;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
    justify-content: flex-end;
}
.section-ramen_masami .column-caption .wrap {
	
}
.section-ramen_masami .column-caption .title {
	max-width: 460px;
	margin-bottom: var( --side-space-h );
}
.section-ramen_masami .column-caption .logo {
	margin-bottom: var( --side-space-h );
}
.section-ramen_masami .column-caption .logo img {
	filter: brightness(0);
	width: 60%;
	max-width: 300px;
}
.section-ramen_masami .column-caption .btn {
	--bs-btn-font-size: var( --font-size-7 );
}

.section-ramen_masami .column-media .wrap {
	--media-gap: 1.75rem;
	--media-size: 200%;
	
	display: flex;
	flex-wrap: wrap;
	gap: var( --media-gap );
}
.section-ramen_masami .column-media .wrap .image {
	position: relative;
	height: calc( 50% - calc( var( --media-gap ) / 2 ) );
	width: calc( 50% - calc( var( --media-gap ) / 2 ) );
	border-radius: 1rem;
	overflow: hidden;
}
.section-ramen_masami .column-media .wrap .image img {
	position: absolute;
	width: calc( var( --media-size ) + var( --media-gap ) );
	height: calc( var( --media-size ) + var( --media-gap ) );
}
.section-ramen_masami .column-media .wrap .image.i1 img {
	top: 0px;
	left: 0px;
}
.section-ramen_masami .column-media .wrap .image.i2 img {
	top: 0px;
	right: 0px;
}
.section-ramen_masami .column-media .wrap .image.i3 img {
	bottom: 0px;
	left: 0px;
}
.section-ramen_masami .column-media .wrap .image.i4 img {
	bottom: 0px;
	right: 0px;
}

@media( max-width: 768px ){
	.section-ramen_masami .column-caption {
		text-align: center;
	}
	.section-ramen_masami .column-media .wrap {
	--media-gap: 1.5rem;
	}
}


/*********************************
	Testimonials
*********************************/

.section-testimonials {
	padding: var( --side-space-x ) var( --side-space );
}
.section-testimonials:before {
	content: "";
	background: rgba( 0, 0, 0, 0.04 );
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	
	pointer-events: none;
	z-index: -1;
}
.section-testimonials .wrapper {
	
}
.section-testimonials .header {
	display: flex;
	align-items: center;
	margin-bottom: 3rem;
	gap: 2rem;
}
.section-testimonials .header .title {
	margin-bottom: 0rem;
}
.section-testimonials .header .carousel-nav {
	display: none;
}
.section-testimonials .header .carousel-nav-button {
	color: var( --theme-color-primary );
}

.section-testimonials .content {
	
}
.section-testimonials .carousel {
	display: flex;
	gap: var( --side-space );
	flex-wrap: wrap;
}
.section-testimonials .carousel-cell {
	width: calc( 50% - ( var( --side-space ) /2 ));
}
.section-testimonials .carousel-cell .stars {
	display: flex;
	align-items: center;
	gap: 0.5rem;
	margin-bottom: 1.25rem;
}
.section-testimonials .carousel-cell .stars i {
	color: #FFEA00;
	font-size: 1.125rem;
}
.section-testimonials .carousel-cell .name {
	display: block;
	font-size: 1.25rem;
	font-weight: 700;
	margin-bottom: 0.75rem;
}
.section-testimonials .carousel-cell p {
	max-width: 460px;
	
	font-size: 1.125rem;
}

@media( max-width: 1200px ){
	
	
	
}

@media( max-width: 768px ){
	.section-testimonials .carousel-cell {
		width: 100%;
	}
}

/*********************************
	Images
*********************************/

.section-restaurant-images .wrapper {
	position: relative;
}
.section-restaurant-images .main-carousel {
	max-height: 100vh;
    overflow: hidden;	
}
.section-restaurant-images .main-carousel .carousel-cell {
	width: 100%;	
}
.section-restaurant-images .carousel-nav {
	 
}
.section-restaurant-images .carousel-nav-button {
	--bs-btn-font-size: 1.5rem;
	position: absolute;
	top: 50%;
	transform: translateY( -50% );
	width: 5rem;
	height: 5rem;
	--bs-btn-bg: rgba( 0, 0, 0, 0.6 );
	--bs-btn-color: #fff;
	--bs-btn-active-bg: rgba( 0, 0, 0, 0.8 );
	--bs-btn-hover-bg: rgba( 0, 0, 0, 0.7 );
	--bs-btn-hover-color: var( --theme-color-primary );
	--bs-btn-active-color: var( --theme-color-primary );
	--bs-btn-focus-color: var( --theme-color-primary );
	border-radius: 0.75rem;
	border: none !important;
	box-shadow: unset !important;
}
.section-restaurant-images .carousel-nav-button.button--prev {
	left: var( --side-space );
}
.section-restaurant-images .carousel-nav-button.button--next {
	right: var( --side-space );
}

.section-restaurant-images .flickity-page-dots {
	display: inline-flex;
	padding: 0.675rem .675rem;
	border-radius: 10rem;
	background: var( --theme-bg-color-alt-2 );
	bottom: var( --side-space-h );
	width: auto;
	left: 50%;
	transform: translateX( -50% );
}
.section-restaurant-images .flickity-page-dots .dot {
	background: var( --theme-color-primary );
	opacity: 0.4;
	width: 1rem;
	height: 1rem;
	margin: 0rem 0.5rem;
}
.section-restaurant-images .flickity-page-dots .dot.is-selected {
	opacity: 1;
}

@media( max-width: 768px ){
	.section-restaurant-images .main-carousel .carousel-cell .ratio {
		--bs-aspect-ratio: 100%;
	}
}



/*********************************
	Promotions - Pages
*********************************/

.theme-page-promotions {
	
}
.theme-page-promotions .entry-title {
	text-align: center;
}
.theme-page-promotions .wpt-promotions {
	padding: var( --side-space ) 0rem;
	display: flex;
	flex-wrap: wrap;
	gap: var( --side-space );
	justify-content: space-between;
}
.theme-page-promotions .wpt-promotions .card {
	width: calc( 100% / 2 - var( --side-space-h ) );
	overflow: hidden;
	text-align: center;
	box-shadow: 0 4px 8px rgba( 0, 0, 0, 0.1 );
	
	--bs-card-border-width: 0px;
	--bs-card-bg: #fff;
    --bs-card-spacer-y: 2rem;
    --bs-card-spacer-x: 2rem;
	--bs-card-title-spacer-y: 2rem;
	--bs-card-border-radius: 1rem;
}
.theme-page-promotions .wpt-promotions .card .card-img-top {
    height: auto;
}
.theme-page-promotions .wpt-promotions .card .card-body {
	display: flex;
	flex-direction: column;
    align-items: center;
	flex-wrap: wrap;
}
.theme-page-promotions .wpt-promotions .card .card-title {
	margin-bottom: 1.5rem;
    max-width: 400px;
    margin-left: auto;
    margin-right: auto;
}
.theme-page-promotions .wpt-promotions .card .btn {
    justify-self: flex-end;
    margin-top: auto;
}

#wpt-promotion-modal {
	--bs-modal-padding: 2rem var( --side-space );
	--bs-modal-header-padding: 0rem;
	--bs-modal-header-padding-x: 0rem;
	--bs-modal-header-padding-y: 0rem;
	--bs-modal-header-border-width: 0px;
}
#wpt-promotion-modal .modal-header img {
	border-top-left-radius: var(--bs-modal-border-radius);
	border-top-right-radius: var(--bs-modal-border-radius);
	margin-bottom: 0rem;
}
#wpt-promotion-modal .modal-header .btn-close {
	padding: 0.5rem;
	margin: 1rem;
	position: absolute; 
	top: 0rem;
	right: 0rem;
	background: #fff8;
	border-radius: 0.75rem;
	font-size: 1.5rem;
	width: 2rem;
	height: 2rem;
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 1;
}
#wpt-promotion-modal .modal-header .btn-close:hover {
	color: #0007;
}
#wpt-promotion-modal .modal-title {
	font-size: 1.375rem;
	line-height: 1.2;
	margin-bottom: 1.5rem;
}
#wpt-promotion-modal .modal-content {
	font-size: 1.125rem;
}
#wpt-promotion-modal .modal-content .alert {
	font-size: 1rem;
}
#wpt-promotion-modal .modal-content .alert p {
	padding: 0.75rem 0;
	border-bottom: 1px solid #0003;
	margin-bottom: 0rem;
}
#wpt-promotion-modal .modal-content .alert p:first-child {
	padding-top: 0rem;
}
#wpt-promotion-modal .modal-content .alert p:last-child {
	padding-bottom: 0rem;
	border-bottom: 0px;
}

@media( max-width: 992px ) and ( min-width: 840px ){
	.theme-page-promotions .wpt-promotions .card .card-title {
		font-size: 1rem;
	}
}
@media( max-width: 840px ){
	
	.theme-page-promotions .wpt-promotions .card {
		width: 100%;
		max-width: 560px;
		margin-left: auto;
		margin-right: auto;
	}
		
	.theme-page-promotions .wpt-promotions .card .card-title {
		font-size: 1.25rem;
	}
}

/*********************************
	Search form
*********************************/

#wpt-restaurant-search-container {
    margin: 0 auto;
	margin-bottom: var( --side-space );
	margin-bottom: var( --side-space-h );
    max-width: 800px;
    padding: 2rem 2rem 2.25rem;
    border-radius: 1rem;
    background: #fff;
	
    background: var( --theme-color-primary );
    color: #fff;
	
	position: relative;
	text-align: center;
}
#wpt-restaurant-search-container .heading {
	margin-bottom: 0.5rem;
	font-weight: 500;
}
#wpt-restaurant-search-container > p {
	font-weight: 300;
}
 
#wpt-restaurant-search-form {
	position: relative;
    display: inline-flex;
	align-items: flex-end;
	flex-wrap: wrap;
	justify-content: center;
}
#wpt-restaurant-search-form .input-wrap {
	position: relative;
    margin-right: 1rem;
    min-width: 300px;
}
#wpt-restaurant-search-form .input-wrap label {
	width: 100%;
}
#wpt-restaurant-search-form .input-wrap input {
    font-size: 1rem;
    padding: .5rem .75rem;
	border: none;
}
#wpt-restaurant-search-form .input-wrap .btn-clear {
	position: absolute;
    top: 0.125rem;
    right: 0;
    font-size: 1rem;
	
	--bs-btn-border-width: 0px;
	--bs-btn-color: #000;
	--bs-btn-hover-color: #0007;
}
#wpt-restaurant-search-form .input-wrap input:not(.control-active)  ~ .btn-clear {
	display: none;
}
#wpt-restaurant-search-form .input-wrap .feedback {
	display: none;
	
}
#wpt-restaurant-search-form .btn-submit {
    --bs-btn-padding-x: 1.25rem;
    --bs-btn-padding-y: 0.75rem;
    --bs-btn-font-size: 1rem;
    --bs-btn-font-weight: 400;
    --bs-btn-border-width: 0px;
    --bs-btn-bg: #037DBA;
    --bs-btn-hover-bg: var( --theme-color-secondary-hover );
    --bs-btn-active-bg: var( --theme-color-secondary-hover );
    --bs-btn-focus-bg: var( --theme-color-secondary-hover );
	display: flex;
	align-items: center;
    line-height: 1;
}
#wpt-restaurant-search-form .btn i {
	margin-right: 0.5rem;
	font-size: var( --font-size-7 ); 
}
#wpt-restaurant-search-form .btn:focus {
	box-shadow: 0 0 0 0.25rem rgba( var( --theme-color-secondary-rgb ), 0.5 );  
}

#wpt-restaurant-results {
	position: absolute;
	left: 50%;
	left: 0rem;
    bottom: 0rem;
    transform: translate( -50%, calc( 100% + 0.5rem ));
    transform: translate( 0%, calc( 100% + 0.5rem ));
    min-width: 100%;
	z-index: 999;
	
	border-radius: 0.375rem;
	background: #fff;
	display: none;
}
#wpt-restaurant-results.show {
	display: block;
}
#wpt-restaurant-results:has( >ul>li ) {
	box-shadow: 0px 2px 10px 2px rgba(0, 0, 0, 0.1);
}
#wpt-restaurant-results ul {
    list-style: none;
    padding: 0.5rem 0;
	min-width: 100%;
	
	text-align: left;
	margin-bottom: 0rem;
}
#wpt-restaurant-results ul li {
    color: #000;
    padding: 0.75rem 1.25rem;
	cursor: pointer;
	display: block;
	line-height: 1.4;
	white-space: nowrap;
}
#wpt-restaurant-results ul li:not(:last-child) {
	border-bottom: 1px solid var( --theme-border-color-alt-1 );
}
#wpt-restaurant-results ul li:hover {
	background: #0001;
}
#wpt-restaurant-results ul li i {
	margin-right: 0.5rem;
}
#wpt-restaurant-results ul li b {
	display: block;
	font-size: var( --font-size-7 );
}
#wpt-restaurant-results ul li.no-results {
	color: var( --bs-primary );
	position: relative;
	display: flex;
}
#wpt-restaurant-results ul li.no-results i {
	margin-top: 0.125rem;
}
#wpt-restaurant-results ul li.error {
	cursor: default;
	color: var( --bs-danger );
	pointer-events: none;
}
#wpt-restaurant-results ul li:where(.no-results,.error) {
	cursor: not-allowed;
}
#wpt-restaurant-results ul li:where(.no-results,.error):hover {
	background: #fff;
}

.section-restaurant-choice .search_Active .card:not(.search_Active_Item) {
	background: rgba( 0, 0, 0, 0.6 );
	pointer-events: none;
}
.section-restaurant-choice .search_Active .card:not(.search_Active_Item) :where( h2, h3, p ) {
	opacity: 0.5;
}
.section-restaurant-choice .search_Active .card:not(.search_Active_Item) .btn {
	opacity: 0.5;
}
.section-restaurant-choice .search_Active .card.search_Active_Item {
	background: rgba( var( --theme-color-primary-rgb ), 0.9 );
}
.section-restaurant-choice .search_Active .card.search_Active_Item:before {
	content: "\f058";
	display: inline-block;
	font-family: var( --fontawesome );
	font-size: var( --font-size-7 );
	font-size: 1.125rem;
    font-weight: 600;
	color: #178821;
	color: #00d9ff;
	
	position: absolute;
	top: 1.75rem;
	right: 2rem;
}

@media( max-width: 992px ){
	
}
@media( max-width: 768px ){
	#wpt-restaurant-search-container > p {
		font-size: 1.125rem;
	}
		
	#wpt-restaurant-results ul li {
		white-space: normal;
	}
}
@media( max-width: 576px ){
	#wpt-restaurant-search-form {
		gap: 1rem;
        width: 100%;
	}
	#wpt-restaurant-search-form .input-wrap {
		min-width: unset;
		width: 100%;
		margin: 0 auto;
	}
	#wpt-restaurant-search-form .btn-submit {
		width: 100%;
        justify-content: center;
	}

}

